%define api	3

Summary: 	Keyring and password manager for the GNOME desktop
Name: 	 	gnome-keyring
Version: 	40.0
Release: 	%mkrel 1
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/%{name}-%{version}.tar.xz
URL: 		http://www.gnome.org/
License: 	GPL/LGPL
Group: 		Graphical desktop/GNOME
BuildRoot: 	%{_tmppath}/%{name}-buildroot
#---------------------------------------
BuildRequires: perl-XML-Parser
BuildRequires: libtasn1-tools
BuildRequires: p11-kit-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64gcr-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64gcrypt11
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pam-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64tasn1-devel
BuildRequires: xsltproc
#---------------------------------------
Obsoletes: 	%name < %version
Requires(pre): 	glib2.0-common 
Requires:	gcr

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%description -l de
GNOME Schlüsselbund-Dienste (Daemon und Werkzeuge) 
Gnome-Keyring ist ein Sitzungs-Daemon, ähnlich wie ssh-agent, und kann von 
anderen Anwendungen benutzt werden um Passwörter und andere vertrauliche 
Informationen zu speichern. Das Programm kann mehrere Schlüsselbunde verwalten, 
jeder mit einem eigenen General-Passwort. Des weiteren gibt es einen 
Sitzungsschlüsselbund, der niemals auf einem Datenträger gespeichert wird und 
am Ende der Sitzung gelöscht wird. 

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-pam-dir=%{_libdir}/security \
	--disable-static \
	--enable-pam \
	--disable-schemas-compile

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

mkdir -p %buildroot/lib64/security
ln -fs /usr/lib64/security/pam_gnome_keyring.so %buildroot/lib64/security/pam_gnome_keyring.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/%{name}-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/%{name}-secrets.desktop
%{_sysconfdir}/xdg/autostart/%{name}-ssh.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-%{api}
%attr(755,root,root) %{_bindir}/%{name}-daemon
%{_libdir}/%{name}
%{_libdir}/pkcs11
%{_libdir}/security/pam_gnome_keyring*.so
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.Secret.service
%{_datadir}/xdg-desktop-portal/portals/gnome-keyring.portal
%{_datadir}/p11-kit/modules/%{name}.module
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_mandir}/man1/%{name}*.*
/lib64/security/pam_gnome_keyring.so


%changelog
* Wed Sep 01 2021 tex - 40.0-1pclos2021
- new version

* Tue Jan 02 2018 bb2 <bb2> - 3.20.1-2pclos2018
- clean up specfile

* Sun Dec 31 2017 Zen Subz <techars21 at gmail dot com> - 3.20.1-1pclos2017
- Update to latest release in 3.20.x series
